#ifndef __FCABackup_APPUI_H__
#define __FCABackup_APPUI_H__

#include <aknappui.h>

// Forward reference
class CFCABackupAppView;

class CFCABackupAppUi : public CAknAppUi
    {
public:
    void ConstructL();
    CFCABackupAppUi();
    ~CFCABackupAppUi();
    void EncryptL();
    void DecryptL();

public: // from CAknAppUi
    void HandleCommandL(TInt aCommand);
    void CopyFile(TInt aCommand);
    void BackupFile(TInt aCommand);

private:
    CFCABackupAppView* iAppView;
    };


#endif // __FCABackup_APPUI_H__

